--- old/usr/src/cmd/make/bin/main.cc	2015-06-12 18:13:49.586000945 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-06-12 18:13:49.600737203 -0400
@@ -59,9 +59,6 @@
 // From read2.cc
 extern	Name		normalize_name(register wchar_t *name_string, register int length);
 
-// From parallel.cc
-#define MAXJOBS_ADJUST_RFE4694000
-
 extern void job_adjust_fini();
 
 
@@ -398,8 +395,13 @@
 	 */
     if ((!pmake_cap_r_specified) &&
         (!pmake_machinesfile_specified)) {
-	char *s = strdup(argv[0]);    
-	    
+	char *s, *b;
+
+	if ((s = strdup(argv[0])) == NULL)
+		fatal(gettext("Out of memory"));
+
+	b = basename(s);
+
 	MBSTOWCS(wcs_buffer, "DMAKE_MODE");
 	dmake_name2 = GETNAME(wcs_buffer, FIND_LENGTH);
 	prop2 = get_prop(dmake_name2->prop, macro_prop);
@@ -407,15 +409,13 @@
 	// If we're invoked as 'make' but passed -j, run parallel
 	// If we're invoked as 'dmake', without DMAKE_MODE, default parallel
 	// If we're invoked as 'dmake' and DMAKE_MODE is set, honour it.
-	if ((strcmp(basename(s), "make") == 0) &&
+	if ((strcmp(b, "make") == 0) &&
 	    !dmake_max_jobs_specified) {
 		dmake_mode_type = serial_mode;
 		no_parallel = true;
 	} else if (prop2 == NULL) {
 		/* DMAKE_MODE not defined, default based on our name */
-		char *s = strdup(argv[0]);
-
-		if (strcmp(basename(s), "dmake") == 0) {
+		if (strcmp(b, "dmake") == 0) {
 			dmake_mode_type = parallel_mode;
 			no_parallel = false;
 		}
